# 80×86 Architecture: OS/2 Linear Executable Format

Assembler code

```
cseg01:000102E1                 lea     eax, [ebp+var_44]
cseg01:000102E4                 push    5
cseg01:000102E6                 push    eax
cseg01:000102E7                 push    esi
cseg01:000102E8                 call    WinFillRect
cseg01:000102ED                 add     esp, 0Ch
cseg01:000102F0                 mov     [ebp+var_38], 0FAh ; 'ú'
cseg01:000102F7                 mov     [ebp+var_40], 0E9h ; 'é'
cseg01:000102FE                 lea     eax, [ebp+var_84]
cseg01:00010304                 push    eax
cseg01:00010305                 push    40h ; '@'
cseg01:00010307                 push    2Bh ; '+'
cseg01:00010309                 push    0
cseg01:0001030B                 push    dword_20874
cseg01:00010311                 call    WinLoadString
cseg01:00010316                 add     esp, 14h
cseg01:00010319                 lea     eax, [ebp+var_84]
cseg01:0001031F                 lea     edx, [ebp+var_44]
cseg01:00010322                 push    100h
cseg01:00010327                 push    0
cseg01:00010329                 push    0FFFFFFFFh
cseg01:0001032B                 push    edx
cseg01:0001032C                 push    eax
cseg01:0001032D                 push    0FFFFFFFFh
cseg01:0001032F                 push    esi
cseg01:00010330                 call    WinDrawText
cseg01:00010335                 add     esp, 1Ch
cseg01:00010338                 push    esi
cseg01:00010339                 call    WinEndPaint
cseg01:0001033E                 add     esp, 4
cseg01:00010341                 mov     eax, 1
cseg01:00010346                 pop     esi
cseg01:00010347                 pop     edi
cseg01:00010348                 pop     ebx
cseg01:00010349                 leave
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/disassembler/disassembly-gallery/80-86-architecture-os-2-linear-executable-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
